Update an assessment question. Requires assessments.update permission. If the parent assessment is confirmed, a new version of the question will be created.
Path parameters
| Name |
Type |
Required |
Description |
id |
string |
yes |
The unique identifier of the record |
Query parameters
| Name |
Type |
Required |
Description |
fields[] |
string[] |
no |
Select which fields to include in the response. When omitted, all fields are returned. When provided, only the specified fields are included. (e.g., ?fields[]=id&fields[]=question) One of: assessmentId, canonicalId, createdAt, explanation, id, isCurrent, options, order, points, question, required, type, updatedAt, version. |
with[] |
string[] |
no |
Include related resources in the response. Pass multiple values as separate query parameters (e.g., ?with[]=createdBy&with[]=updatedBy). One of: createdBy, updatedBy, assessment. |
Request body
Required.
application/json
assessmentId string (uuid) · required
correctAnswers object[] — Array of correct answer indices (for MC) or [true/false] for T/F questions
explanation string
options string[]
order integer
points integer
question string · required
required boolean
type string · required
{
"assessmentId": "01944f76-3f07-76fe-b4fe-f8e5b0db5abc",
"correctAnswers": [
0,
2
],
"explanation": "Always wear protective equipment when handling hazardous materials.",
"options": [
"Option A",
"Option B",
"Option C",
"Option D"
],
"order": 0,
"points": 1,
"question": "What is the correct procedure for handling hazardous materials?",
"required": true,
"type": "multiple_choice"
}
Responses
| Status |
Description |
| 200 |
A json object describing the updated assessment question |
| 400 |
The request was rejected |
| 403 |
The requesting user lacks appropriate permissions |
| 422 |
Validation errors |
Response 200 body
id string (uuid)
assessment object
assessmentId string (uuid)
canonicalId string (uuid)
createdAt string (date-time)
createdBy object
explanation string
isCurrent boolean
options string[]
order integer
points integer
question string
required boolean
type string
updatedAt string (date-time)
updatedBy object
version integer
{
"id": "01944f76-3f07-76fe-b4fe-f8e5b0db5abe",
"assessment": {
"id": "01944f76-3f07-76fe-b4fe-f8e5b0db5abe",
"title": "Safety Protocol Quiz"
},
"assessmentId": "01944f76-3f07-76fe-b4fe-f8e5b0db5abc",
"canonicalId": "01944f76-3f07-76fe-b4fe-f8e5b0db5abe",
"createdAt": "string",
"createdBy": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"firstName": "John",
"lastName": "Doe"
},
"explanation": "Always wear protective equipment when handling hazardous materials.",
"isCurrent": true,
"options": [
"Option A",
"Option B",
"Option C",
"Option D"
],
"order": 0,
"points": 1,
"question": "What is the correct procedure for handling hazardous materials?",
"required": true,
"type": "multiple_choice",
"updatedAt": "string",
"updatedBy": {
"id": "019222d9-d87d-7724-bba6-ba91503ea311",
"firstName": "John",
"lastName": "Doe"
},
"version": 1
}